# STRAW2analysis

All analysis for the STRAW project.

To install:

1. Create a conda virtual environment from the `environment.yml` file.

    ```shell
    cd config
    conda env create --file environment.yml
    conda activate straw2analysis
    ```

    If you have already created this environment, you can update it using:

    ```shell
    conda deactivate
    conda env update --file environment.yml
    conda activate straw2analysis
    ```

   To use this environment in the Jupyter notebooks under `./exploration/`, 
   you can select it under Kernel > Change kernel after running:
   
   ```shell
   ipython kernel install --user --name=straw2analysis
   ```

2. Provide an .env file to be used by `python-dotenv` which should be placed in the top folder of the application 
   and should have the form:
   
   ```
   DB_PASSWORD=database-password
   ```